Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FreqProxTermsWriterPerField Class Reference

`#include <FreqProxTermsWriterPerField.h>`

Inheritance diagram for Lucene::FreqProxTermsWriterPerField:

## Public Member Functions

| FreqProxTermsWriterPerField (const TermsHashPerFieldPtr &termsHashPerField, const FreqProxTermsWriterPerThreadPtr &perThread, const FieldInfoPtr &fieldInfo)
virtual | ~FreqProxTermsWriterPerField ()
virtual String | getClassName ()
boost::shared_ptr< FreqProxTermsWriterPerField > | shared_from_this ()
virtual int32_t | getStreamCount ()
virtual void | finish ()
virtual void | skippingLongTerm ()
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
void | reset ()
virtual bool | start (Collection< FieldablePtr > fields, int32_t count)
virtual void | start (const FieldablePtr &field)
void | writeProx (const FreqProxTermsWriterPostingListPtr &p, int32_t proxCode)
virtual void | newTerm (const RawPostingListPtr &p)
virtual void | addTerm (const RawPostingListPtr &p)
void | abort ()
Public Member Functions inherited from Lucene::TermsHashConsumerPerField
virtual | ~TermsHashConsumerPerField ()
boost::shared_ptr< TermsHashConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumerPerField
static String | _getClassName ()

## Data Fields

FreqProxTermsWriterPerThreadWeakPtr | _perThread
TermsHashPerFieldWeakPtr | _termsHashPerField
FieldInfoPtr | fieldInfo
DocStatePtr | docState
FieldInvertStatePtr | fieldState
bool | omitTermFreqAndPositions
PayloadAttributePtr | payloadAttribute
bool | hasPayloads

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::FreqProxTermsWriterPerField::FreqProxTermsWriterPerField | ( | const TermsHashPerFieldPtr & | termsHashPerField,
|  | const FreqProxTermsWriterPerThreadPtr & | perThread,
|  | const FieldInfoPtr & | fieldInfo
| ) |  |

virtual Lucene::FreqProxTermsWriterPerField::~FreqProxTermsWriterPerField | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::FreqProxTermsWriterPerField::_getClassName | ( |  | ) |

inline static

void Lucene::FreqProxTermsWriterPerField::abort | ( |  | ) |

virtual void Lucene::FreqProxTermsWriterPerField::addTerm | ( | const RawPostingListPtr & | p | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

virtual int32_t Lucene::FreqProxTermsWriterPerField::compareTo | ( | const LuceneObjectPtr & | other | ) |

virtual

Compare two objects.

Reimplemented from Lucene::LuceneObject.

virtual void Lucene::FreqProxTermsWriterPerField::finish | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

virtual String Lucene::FreqProxTermsWriterPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermsHashConsumerPerField.

virtual int32_t Lucene::FreqProxTermsWriterPerField::getStreamCount | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

virtual void Lucene::FreqProxTermsWriterPerField::newTerm | ( | const RawPostingListPtr & | p | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

void Lucene::FreqProxTermsWriterPerField::reset | ( |  | ) |

boost::shared_ptr< FreqProxTermsWriterPerField > Lucene::FreqProxTermsWriterPerField::shared_from_this | ( |  | ) |

inline

virtual void Lucene::FreqProxTermsWriterPerField::skippingLongTerm | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

virtual bool Lucene::FreqProxTermsWriterPerField::start | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

virtual

Implements Lucene::TermsHashConsumerPerField.

virtual void Lucene::FreqProxTermsWriterPerField::start | ( | const FieldablePtr & | field | ) |

virtual

Implements Lucene::TermsHashConsumerPerField.

void Lucene::FreqProxTermsWriterPerField::writeProx | ( | const FreqProxTermsWriterPostingListPtr & | p,
|  | int32_t | proxCode
| ) |  |

## Field Documentation

FreqProxTermsWriterPerThreadWeakPtr Lucene::FreqProxTermsWriterPerField::_perThread

TermsHashPerFieldWeakPtr Lucene::FreqProxTermsWriterPerField::_termsHashPerField

DocStatePtr Lucene::FreqProxTermsWriterPerField::docState

FieldInfoPtr Lucene::FreqProxTermsWriterPerField::fieldInfo

FieldInvertStatePtr Lucene::FreqProxTermsWriterPerField::fieldState

bool Lucene::FreqProxTermsWriterPerField::hasPayloads

bool Lucene::FreqProxTermsWriterPerField::omitTermFreqAndPositions

PayloadAttributePtr Lucene::FreqProxTermsWriterPerField::payloadAttribute

The documentation for this class was generated from the following file:

- FreqProxTermsWriterPerField.h

clucene.sourceforge.net